NAMEI(1)

NOM
namei - Suivre un chemin jusqu'au premier point terminal

SYNOPSIS

namei [options] pathname...

DESCRIPTION

namei interprets its arguments as pathnames to any type of Unix file (symlinks, files, directories, and so forth). namei then follows each pathname until an endpoint is found (a file, a directory, a device node, etc). If it finds a symbolic link, it shows the link, and starts following it, indenting the output to show the context.

Ce programme est utile pour trouver les problèmes liés aux excès de niveaux de liens symboliques.

Pour chaque ligne de sortie, namei utilise les caractères suivants pour identifier le type de fichier trouvé :

       f: = le chemin parcouru
        d = répertoire
        l = lien symbolique (le lien et son contenu sont affichés)
        s = socket
        b = périphérique bloc
        c = périphérique caractère
        p = FIFO (tube nommé)
        - = fichier régulier
        ? = erreur d'un type quelconque

namei prints an informative message when the maximum number of symbolic links this system can have has been exceeded.

OPTIONS

-l, --long
    Utiliser le format de résultat long (comme -m -o -v).

-m, --modes
    Afficher les permissions de chaque fichier de manière similaire à ls(1). Par exemple\ : «\ rwxr-xr-x\ ».

-n, --nosymlinks
    Ne pas suivre les liens symboliques.

-o, --owners
    Afficher le propriétaire et le groupe de chaque fichier.

-v, --vertical
    Aligner verticalement les modes et propriétaires.

-x, --mountpoints
    Afficher avec un «\ D\ » au lieu d’un «\ d\ » les répertoires servant de point de montage.

-Z, --context
    Show security context of the file or "?" if not available. The support for security contexts is optional and does not have to be compiled to the namei binary.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

BOGUES

À découvrir.

AUTEURS

Le programme original namei a été écrit par

The program was rewritten by

VOIR AUSSI

ls(1), stat(1), symlink(7)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande namei fait partie du paquet util-linux, elle est disponible sur